# VectorData Implementations by Semantic Kernel

**Microsoft.Extensions.VectorData.Abstractions** provides abstractions for
accessing Vector Databases and Vector Indexes. It includes base abstract classes
and interfaces for Vector Database implementations.

**Semantic Kernel (SK)** is a lightweight SDK allowing integration of AI experiences
into your application.

**Semantic Kernel (SK)** provides a set of implementations for the
Microsoft.Extensions.VectorData.Abstractions interfaces, allowing developers
to easily connect to various vector databases. This package is one of these
implementations.

This package can be used with Semantic Kernel or independently and
does not depend on any Semantic Kernel abstractions or core libraries.

## Getting Started ⚡

- Learn more about using the VectorData abstractions and implementations at the [documentation site](https://learn.microsoft.com/semantic-kernel/concepts/vector-store-connectors).
- Learn more about Semantic Kernel at the [documentation site](https://aka.ms/SK-Docs).
- Join the [Discord community](https://aka.ms/SKDiscord).
- Follow the team on [Semantic Kernel blog](https://aka.ms/sk/blog).
- Check out the [GitHub repository](https://github.com/microsoft/semantic-kernel) for the latest updates.
